ObjReader
Date: 2019-10-22

org.jmol.jvxl.readers

## Class ObjReader

- java.lang.Object
- - org.jmol.jvxl.readers.SurfaceReader
  - - org.jmol.jvxl.readers.SurfaceFileReader
    - - org.jmol.jvxl.readers.PolygonFileReader
      - - org.jmol.jvxl.readers.PmeshReader
        - - org.jmol.jvxl.readers.ObjReader

- All Implemented Interfaces:
    VertexDataServer

      class ObjReader
      extends PmeshReader

- - ### Field Summary

    - ### Fields inherited from class org.jmol.jvxl.readers.PmeshReader

      `fixedCount, isClosedFace, iToken, nPolygons, onePerLine, pmeshError, tokens, type, vertexBase, vertexMap`

    - ### Fields inherited from class org.jmol.jvxl.readers.PolygonFileReader

      `nTriangles, nVertices`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `binarydoc, br, line, next, out`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceReader

      `allowSigma, ANGSTROMS_PER_BOHR, anisotropy, center, cJvxlEdgeNaN, colorFractionBase, colorFractionRange, contourVertexCount, dataMax, dataMean, dataMin, defaultCutoff, defaultMappedDataMax, defaultMappedDataMin, eccentricityMatrix, eccentricityMatrixInverse, eccentricityRatio, eccentricityScale, edgeFractionBase, edgeFractionRange, fractionData, hasColorData, haveSurfaceAtoms, isAnisotropic, isEccentric, isJvxl, isPeriodic, isProgressive, isQuiet, isXLowToHigh, jvxlColorDataRead, jvxlCutoff, jvxlData, jvxlDataIs2dContour, jvxlDataIsColorDensity, jvxlDataIsColorMapped, jvxlDataIsPrecisionColor, jvxlEdgeDataRead, jvxlFileHeaderBuffer, jvxlNSurfaceInts, jvxlVoxelBitSet, marchingCubes, marchingSquares, meshData, meshDataServer, minMax, nBytes, nDataPoints, nPointsX, nPointsY, nPointsZ, params, ptTemp, qpc, sg, vertexDataOnly, volumeData, volumetricOrigin, volumetricVectors, voxelCounts, voxelData, xyzMax, xyzMin, yzCount, yzPlanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `init2(SurfaceGenerator sg, java.io.BufferedReader br)`
    `protected boolean` | `readPolygons()`
    `protected boolean` | `readVertices()`

    - ### Methods inherited from class org.jmol.jvxl.readers.PmeshReader

      `checkBinary, getSurfaceData, init2PR, readBinaryHeader, readPolygonsPM, readVerticesAndPolygons, readVerticesPM, setHeader`

    - ### Methods inherited from class org.jmol.jvxl.readers.PolygonFileReader

      `init2PFR, readSurfaceData, readVolumeData, readVolumeParameters`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `closeReader, closeReaderSFR, discardTempData, getQuotedStringNext, getTokens, init, init2SFR, newBinaryDocument, parseFloat, parseFloatArray, parseFloatArrayStr, parseFloatRange, parseFloatStr, parseInt, parseIntNext, parseIntStr, rd, setOutputChannel, setStream, skipTo`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceReader

      `addTriangleCheck, addVC, addVertexCopy, applyColorScale, colorIsosurface, createIsosurface, discardTempDataSR, excludeMaximumSet, excludeMinimumSet, finalizeMapping, getColorPhaseIndex, getMinMaxMappedValues, getPlane, getPlaneSR, getSPF, getSurfaceAtomIndex, getSurfacePointAndFraction, getSurfacePointIndexAndFraction, getValue, getValue2, getValueAtPoint, gotoAndReadVoxelData, gotoData, initializeMapping, initializeVolumetricData, initPlanes, initSR, jvxlUpdateInfo, newVoxelDataCube, postProcessVertices, readAndSetVolumeParameters, readColorData, resetIsosurface, selectPocket, setBBox, setVectorAnisotropy, setVertexAnisotropy, setVolumeDataV, setVolumetricAnisotropy, setVolumetricOriginAnisotropy, slabIsosurface, updateSurfaceData, updateTriangles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjReader

          ObjReader()

  - ### Method Detail

    - #### init2

          void init2(SurfaceGenerator sg,
                     java.io.BufferedReader br)

      Overrides:
        `init2` in class `PmeshReader`

    - #### readVertices

          protected boolean readVertices()
                                  throws java.lang.Exception

      Overrides:
        `readVertices` in class `PmeshReader`
      Throws:
        `java.lang.Exception`

    - #### readPolygons

          protected boolean readPolygons()

      Overrides:
        `readPolygons` in class `PmeshReader`